commit:     26acfdd1f862b2419bb6b1914a0208645e35a192
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon Feb  8 13:57:40 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Feb  8 14:54:01 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=26acfdd1

net-misc/chrony: add dev-libs/libtomcrypt support

Used for different hashes than MD5.

Package-Manager: Portage-3.0.14, Repoman-3.0.2
Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-misc/chrony/chrony-4.0-r1.ebuild | 12 ++++++------
 net-misc/chrony/metadata.xml         |  1 +
 2 files changed, 7 insertions(+), 6 deletions(-)

diff --git a/net-misc/chrony/chrony-4.0-r1.ebuild 
b/net-misc/chrony/chrony-4.0-r1.ebuild
index 21e864d92e0..29a5fe41d5f 100644
--- a/net-misc/chrony/chrony-4.0-r1.ebuild
+++ b/net-misc/chrony/chrony-4.0-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -20,14 +20,14 @@ S="${WORKDIR}/${P/_/-}"
 
 LICENSE="GPL-2"
 SLOT="0"
-IUSE="+caps +cmdmon debug html ipv6 libedit +nettle nss +ntp +phc +nts pps 
+refclock +rtc samba +seccomp +sechash selinux"
+IUSE="+caps +cmdmon debug html ipv6 libedit +nettle nss +ntp +phc +nts pps 
+refclock +rtc samba +seccomp +sechash selinux libtomcrypt"
 REQUIRED_USE="
-       sechash? ( || ( nettle nss  ) )
+       sechash? ( || ( nettle nss libtomcrypt ) )
        nettle? ( !nss )
        !sechash? ( !nss )
        !sechash? ( !nts? ( !nettle ) )
        nts? ( nettle )
-       "
+"
 RESTRICT="test"
 
 BDEPEND="nettle? ( virtual/pkgconfig )"
@@ -110,7 +110,7 @@ src_configure() {
                $(usex rtc '' --disable-rtc)
                $(usex samba --enable-ntp-signd '')
                $(usex sechash '' --disable-sechash)
-               ${EXTRA_ECONF}
+               $(usex libtomcrypt '' --disable-tomcrypt)
                --chronysockdir="${EPREFIX}/run/chrony"
                --docdir="${EPREFIX}/usr/share/doc/${PF}"
                --mandir="${EPREFIX}/usr/share/man"
@@ -118,7 +118,7 @@ src_configure() {
                --sysconfdir="${EPREFIX}/etc/chrony"
                --with-hwclockfile="${EPREFIX}/etc/adjtime"
                --with-pidfile="${EPREFIX}/run/chrony/chronyd.pid"
-               --without-tomcrypt
+               ${EXTRA_ECONF}
        )
 
        # print the ./configure call

diff --git a/net-misc/chrony/metadata.xml b/net-misc/chrony/metadata.xml
index 811f8ec399c..e43d7873661 100644
--- a/net-misc/chrony/metadata.xml
+++ b/net-misc/chrony/metadata.xml
@@ -35,6 +35,7 @@
                <flag name="refclock">Support for reference clocks</flag>
                <flag name="rtc">Support for the Linux Real Time Clock 
interface</flag>
                <flag name="sechash">Enable support for hashes other than 
MD5</flag>
+               <flag name="libtomcrypt">Support different hashes via 
<pkg>dev-libs/libtomcrypt</pkg></flag>
        </use>
        <upstream>
                <remote-id type="cpe">cpe:/a:chrony_project:chrony</remote-id>

Reply via email to